#ifndef __STRING_H__
#define __STRING_H__

#include <stddef.h>

// Memory
const void* memchr(const void* ptr, int value, size_t size);
int memcmp(const void* ptr1, const void* ptr2, size_t num);
void* memcpy(void* destination, const void* source, size_t num);
void* memmove(void* destination, const void* source, size_t num);
void* memset(void* ptr, int value, size_t num);

// Strings
char* strchr(const char* str, int character);
int strcmp(const char* str1, const char* str2);
char* strcpy(char* destination, const char* source);
size_t strlen(const char* str);
int strncmp(const char* str1, const char* str2, size_t num);
char* strrchr(const char* str, int character);
char* strstr(const char* str1, const char* str2);

#endif 